﻿Public Class BindingMultiRow_Form
    Private block As Object = Nothing
    Private DataFileName As String = System.IO.Path.Combine(Application.StartupPath,
                                                            "data.xml")
    Private Ds As New DataSet

    Private Sub Me_Load(ByVal sender As Object,
                        ByVal e As System.EventArgs) _
                    Handles Me.Load
        Me.List_DataGridView.AutoGenerateColumns = False

        With block
            Dim textColumn As New DataGridViewTextBoxColumn()
            textColumn.DataPropertyName = "日付"
            textColumn.Name = "公開日"
            textColumn.HeaderText = "公開日"
            Me.List_DataGridView.Columns.Add(textColumn)
        End With
        With block
            Dim textColumn As New DataGridViewTextBoxColumn()
            textColumn.DataPropertyName = "タイトル"
            textColumn.Name = "件名"
            textColumn.HeaderText = "件名"
            Me.List_DataGridView.Columns.Add(textColumn)
        End With
    End Sub

    Private Sub FileOpenToolStripMenuItem_Click(ByVal sender As System.Object,
                                                ByVal e As System.EventArgs) _
                                            Handles FileOpenToolStripMenuItem.Click
        Ds.Tables.Clear()
        Ds.ReadXml(DataFileName)
        Ds.Tables("data").AcceptChanges()
        Me.List_DataGridView.DataSource = Ds
        Me.List_DataGridView.DataMember = "data"
        With block
            Me.DebugViewToolStripMenuItem.Enabled = True
            Me.FileSaveToolStripMenuItem.Enabled = True
        End With
    End Sub

    Private Sub FileSaveToolStripMenuItem_Click(ByVal sender As System.Object,
                                                ByVal e As System.EventArgs) _
                                            Handles FileSaveToolStripMenuItem.Click
        Ds.WriteXml(DataFileName)
        Ds.AcceptChanges()
    End Sub

    Private Sub FileExitToolStripMenuItem_Click(ByVal sender As System.Object,
                                                ByVal e As System.EventArgs) _
                                            Handles FileExitToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub DebugViewToolStripMenuItem_Click(ByVal sender As System.Object,
                                                 ByVal e As System.EventArgs) _
                                             Handles DebugViewToolStripMenuItem.Click
        Using _form As New View_Form
            Call _form.ShowDialog(Me, Ds)
        End Using
    End Sub
End Class
